%define api_version	2.4
%define realapi		1.4
%define major		1

%define libname			%mklibname %{name} %{api_version} %{major}
%define libnamedev		%mklibname -d %{name} %{api_version}
%define libnamestaticdev	%mklibname -d -s %{name} %{api_version}

%define url_ver %(echo %{version} | cut -d. -f1,2)

Name:		pangomm
Summary:	C++ interface for the pango library
Version:	2.40.1
Release:	%mkrel 3
License:	LGPLv2+
Group:		System/Libraries
URL:		http://gtkmm.org/
Source:		https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	glibmm2.4-devel
BuildRequires:	libpango-devel
BuildRequires:	cairomm-devel
Obsoletes: 	%name < %version
%description
Pangomm provides a C++ interface to the Pango library. Highlights
include typesafe callbacks, widgets extensible via inheritance and a
comprehensive set of widget classes that can be freely combined to
quickly create complex user interfaces.

%package -n %{libname}
Summary:	C++ interface for the pango library
Group:		System/Libraries
Provides:	%{name}%{api_version} = %{version}-%{release}
Conflicts:	%mklibname gtkmm 2.4 < 2.13.5

%description -n %{libname}
Gtkmm provides a C++ interface to the GTK+ GUI library. Gtkmm2 wraps GTK+ 2.
Highlights include typesafe callbacks, widgets extensible via inheritance
and a comprehensive set of widget classes that can be freely combined to
quickly create complex user interfaces.

This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n %{libnamedev}
Summary:	Headers and development files of %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}
Provides:	%{name}%{api_version}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{libnamedev}
This package contains the headers and development files that are needed,
when trying to develop or compile applications which need %{name}.

%package -n %{libnamestaticdev}
Summary:	Static libraries of %{name}
Group:		Development/Libraries
Requires:	%{libnamedev} = %{version}
Provides:	%{name}-static-devel = %{version}-%{release}

%description -n %{libnamestaticdev}
This package contains the static libraries of %{name}.

%package doc
Summary:	GTKmm documentation
Group:		Documentation

%description doc
Pangomm provides a C++ interface to the Pango library. Highlights
include typesafe callbacks, widgets extensible via inheritance and a
comprehensive set of widget classes that can be freely combined to
quickly create complex user interfaces.

This package contains all API documentation for pangomm. You can readily read
this documentation with devhelp, a documentation reader.

%prep
%setup -q 

%build
%configure2_5x --enable-static --enable-shared
%make

%install
rm -rf %buildroot
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%doc AUTHORS COPYING NEWS README
%{_libdir}/libpangomm-%{realapi}.so.%{major}*

%files -n %{libnamedev}
%doc COPYING ChangeLog
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_libdir}/pangomm-%{realapi}

%files -n %{libnamestaticdev}
%doc COPYING
%{_libdir}/*.a

%files doc
%doc %{_datadir}/doc/pangomm-%{realapi}
%doc %{_datadir}/devhelp/books/*


%changelog
* Tue Sep 12 2017 bb2 <bb2> - 2.40.1-3pclos2017
- rebuild against updates

* Mon Sep 11 2017 bb2 <bb2> - 2.40.1-2pclos2017
- rebuild against updates

* Fri Oct 14 2016 bb <bb> 2.40.1-1pclos2016
- update

